| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Instance Methods
StreamInformation Class Reference

`#import <StreamInformation.h>`

## Instance Methods
(instancetype) | - init:
(NSNumber *) | - getIndex
(NSString *) | - getType
(NSString *) | - getCodec
(NSString *) | - getCodecLong
(NSString *) | - getFormat
(NSNumber *) | - getWidth
(NSNumber *) | - getHeight
(NSString *) | - getBitrate
(NSString *) | - getSampleRate
(NSString *) | - getSampleFormat
(NSString *) | - getChannelLayout
(NSString *) | - getSampleAspectRatio
(NSString *) | - getDisplayAspectRatio
(NSString *) | - getAverageFrameRate
(NSString *) | - getRealFrameRate
(NSString *) | - getTimeBase
(NSString *) | - getCodecTimeBase
(NSDictionary *) | - getTags
(NSString *) | - getStringProperty:
(NSNumber *) | - getNumberProperty:
(id) | - getProperty:
(NSDictionary *) | - getAllProperties

## Detailed Description

Stream information class.

Definition at line 47 of file StreamInformation.h.

## Method Documentation

## ◆ getAllProperties

- (NSDictionary *) getAllProperties |  |  |

Returns all stream properties defined.

Returns
  all stream properties in a dictionary or nil if no properties are defined

Definition at line 39 of file StreamInformation.m.

## ◆ getAverageFrameRate

- (NSString *) getAverageFrameRate |  |  |

Returns average frame rate.

Returns
  average frame rate in fps

Definition at line 39 of file StreamInformation.m.

## ◆ getBitrate

- (NSString *) getBitrate |  |  |

Returns bitrate.

Returns
  bitrate in kb/s

Definition at line 39 of file StreamInformation.m.

## ◆ getChannelLayout

- (NSString *) getChannelLayout |  |  |

Returns channel layout.

Returns
  channel layout

Definition at line 39 of file StreamInformation.m.

## ◆ getCodec

- (NSString *) getCodec |  |  |

Returns stream codec.

Returns
  stream codec

Definition at line 39 of file StreamInformation.m.

## ◆ getCodecLong

- (NSString *) getCodecLong |  |  |

Returns stream codec in long format.

Returns
  stream codec with additional profile and mode information

Definition at line 39 of file StreamInformation.m.

## ◆ getCodecTimeBase

- (NSString *) getCodecTimeBase |  |  |

Returns codec time base.

Returns
  codec time base in tbc

Definition at line 39 of file StreamInformation.m.

## ◆ getDisplayAspectRatio

- (NSString *) getDisplayAspectRatio |  |  |

Returns display aspect ratio.

Returns
  display aspect ratio

Definition at line 39 of file StreamInformation.m.

## ◆ getFormat

- (NSString *) getFormat |  |  |

Returns stream format.

Returns
  stream format

Definition at line 39 of file StreamInformation.m.

## ◆ getHeight

- (NSNumber *) getHeight |  |  |

Returns height.

Returns
  height in pixels

Definition at line 39 of file StreamInformation.m.

## ◆ getIndex

- (NSNumber *) getIndex |  |  |

Returns stream index.

Returns
  stream index, starting from zero

Definition at line 39 of file StreamInformation.m.

## ◆ getNumberProperty:

- (NSNumber *) getNumberProperty: |  | (NSString*) | key |

Returns the stream property associated with the key.

Returns
  stream property as number or nil if the key is not found

Definition at line 39 of file StreamInformation.m.

## ◆ getProperty:

- (id) getProperty: |  | (NSString*) | key |

Returns the stream property associated with the key.

Returns
  stream property as id or nil if the key is not found

Definition at line 39 of file StreamInformation.m.

## ◆ getRealFrameRate

- (NSString *) getRealFrameRate |  |  |

Returns real frame rate.

Returns
  real frame rate in tbr

Definition at line 39 of file StreamInformation.m.

## ◆ getSampleAspectRatio

- (NSString *) getSampleAspectRatio |  |  |

Returns sample aspect ratio.

Returns
  sample aspect ratio

Definition at line 39 of file StreamInformation.m.

## ◆ getSampleFormat

- (NSString *) getSampleFormat |  |  |

Returns sample format.

Returns
  sample format

Definition at line 39 of file StreamInformation.m.

## ◆ getSampleRate

- (NSString *) getSampleRate |  |  |

Returns sample rate.

Returns
  sample rate in hz

Definition at line 39 of file StreamInformation.m.

## ◆ getStringProperty:

- (NSString *) getStringProperty: |  | (NSString*) | key |

Returns the stream property associated with the key.

Returns
  stream property as string or nil if the key is not found

Definition at line 39 of file StreamInformation.m.

## ◆ getTags

- (NSDictionary *) getTags |  |  |

Returns all tags.

Returns
  tags dictionary

Definition at line 39 of file StreamInformation.m.

## ◆ getTimeBase

- (NSString *) getTimeBase |  |  |

Returns time base.

Returns
  time base in tbn

Definition at line 39 of file StreamInformation.m.

## ◆ getType

- (NSString *) getType |  |  |

Returns stream type.

Returns
  stream type; audio or video

Definition at line 39 of file StreamInformation.m.

## ◆ getWidth

- (NSNumber *) getWidth |  |  |

Returns width.

Returns
  width in pixels

Definition at line 39 of file StreamInformation.m.

## ◆ init:

- (instancetype) init: |  | (NSDictionary*) | streamDictionary |

Initial value:
{
NSDictionary *dictionary

Definition at line 39 of file StreamInformation.m.

The documentation for this class was generated from the following files:

- StreamInformation.h
- StreamInformation.m